Wire Docs

Create a webhook endpoint

POST
/v1/webhook_endpoints

Authorization

bearerAuth
AuthorizationBearer <token>

API key as a bearer token (Authorization: Bearer sk_live_...).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/webhook_endpoints" \  -H "Content-Type: application/json" \  -d '{    "url": "http://example.com"  }'
{
  "id": "string",
  "object": "webhook_endpoint",
  "url": "string",
  "enabled_events": [
    "string"
  ],
  "status": "enabled",
  "livemode": true,
  "created": 0,
  "secret": "string"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "string",
    "message": "string",
    "param": "string",
    "request_id": "string",
    "doc_url": "string",
    "operator_decline_code": "string"
  }
}